GNU bug report logs - #45038
27.1; blank display

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>; dated Fri, 4 Dec 2020 03:34:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45038 <at> debbugs.gnu.org:


Received: (at 45038) by debbugs.gnu.org; 4 Dec 2020 12:02:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 04 07:02:31 2020
Received: from localhost ([127.0.0.1]:43240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kl9nD-0007pj-Gu
	for submit <at> debbugs.gnu.org; Fri, 04 Dec 2020 07:02:31 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kl9nB-0007kU-M5
 for 45038 <at> debbugs.gnu.org; Fri, 04 Dec 2020 07:02:30 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43875)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kl9n5-0005hw-Ez; Fri, 04 Dec 2020 07:02:23 -0500
Received: from [176.228.60.248] (port=3025 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kl9n3-0002Hj-Ud; Fri, 04 Dec 2020 07:02:22 -0500
Date: Fri, 04 Dec 2020 14:02:03 +0200
Message-Id: <83lfedeq4k.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-Reply-To: <X8oVIqGsNmxzyibC@HIDDEN> (message from Alan
 Third on Fri, 4 Dec 2020 10:53:22 +0000)
Subject: Re: bug#45038: 27.1; blank display
References: <cd835dff-4c4a-aca9-2aec-6279d1db4a57@HIDDEN>
 <83y2iedlad.fsf@HIDDEN>
 <CADwFkmk85k-h2BOFVL2d-6DrE1WdMBm3B3GbbzuspdSXGV74Ww@HIDDEN>
 <X8oVIqGsNmxzyibC@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45038
Cc: 45038 <at> debbugs.gnu.org, Emacs-hacker2018@HIDDEN, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 4 Dec 2020 10:53:22 +0000
> From: Alan Third <alan@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, 45038 <at> debbugs.gnu.org,
> 	Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
> 
> > > I think this is a known problem already solved in the repository.  can
> > > you try building the latest emacs-27 branch?
> > 
> > I could have sworn I saw this the other week on master.  If you
> > believe it is fixed, then perhaps I was using an old version at the
> > time.  Please ignore me for now, I'll report back if I see it again.
> 
> It should be fixed on master, but not in any version of Emacs 27. It's
> a large change so was never back ported.

If it isn't reasonable to release Emacs 27.2 with this problem, we may
wish backporting the change even though it is large.

How easy is it to bump into this problem, and is there an easy
workaround when you do?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45038; Package emacs. Full text available.

Message received at 45038 <at> debbugs.gnu.org:


Received: (at 45038) by debbugs.gnu.org; 4 Dec 2020 10:53:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 04 05:53:39 2020
Received: from localhost ([127.0.0.1]:42964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kl8iZ-0003jY-N3
	for submit <at> debbugs.gnu.org; Fri, 04 Dec 2020 05:53:39 -0500
Received: from outbound.soverin.net ([116.202.65.218]:50467)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kl8iY-0003jL-B1
 for 45038 <at> debbugs.gnu.org; Fri, 04 Dec 2020 05:53:38 -0500
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id DB146601C4;
 Fri,  4 Dec 2020 10:53:31 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id C4679202856B7B; Fri,  4 Dec 2020 10:53:22 +0000 (GMT)
Date: Fri, 4 Dec 2020 10:53:22 +0000
From: Alan Third <alan@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#45038: 27.1; blank display
Message-ID: <X8oVIqGsNmxzyibC@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 45038 <at> debbugs.gnu.org,
 Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
References: <cd835dff-4c4a-aca9-2aec-6279d1db4a57@HIDDEN>
 <83y2iedlad.fsf@HIDDEN>
 <CADwFkmk85k-h2BOFVL2d-6DrE1WdMBm3B3GbbzuspdSXGV74Ww@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CADwFkmk85k-h2BOFVL2d-6DrE1WdMBm3B3GbbzuspdSXGV74Ww@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45038
Cc: 45038 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Dec 04, 2020 at 09:45:02AM +0100, Stefan Kangas wrote:
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > > Please see screen shots at http://jovi.net/Emacs-Bug
> > > of a Heisenbug I never saw until maybe a year ago.
> > > Now I see it every day or so.  Hope this helps.
> >
> > I think this is a known problem already solved in the repository.  can
> > you try building the latest emacs-27 branch?
> 
> I could have sworn I saw this the other week on master.  If you
> believe it is fixed, then perhaps I was using an old version at the
> time.  Please ignore me for now, I'll report back if I see it again.

It should be fixed on master, but not in any version of Emacs 27. It's
a large change so was never back ported.

Stefan, if you're still seeing problems on master then there must be
some other problem that I'm unaware of.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45038; Package emacs. Full text available.

Message received at 45038 <at> debbugs.gnu.org:


Received: (at 45038) by debbugs.gnu.org; 4 Dec 2020 08:45:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 04 03:45:20 2020
Received: from localhost ([127.0.0.1]:42558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kl6iO-0000KE-IU
	for submit <at> debbugs.gnu.org; Fri, 04 Dec 2020 03:45:20 -0500
Received: from mail-pf1-f170.google.com ([209.85.210.170]:45545)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kl6iN-0000K0-AM
 for 45038 <at> debbugs.gnu.org; Fri, 04 Dec 2020 03:45:19 -0500
Received: by mail-pf1-f170.google.com with SMTP id q22so3207766pfk.12
 for <45038 <at> debbugs.gnu.org>; Fri, 04 Dec 2020 00:45:19 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=2FsTqQTZAlHK6R44NIJ1iADDmSrSysVkTTwdi/9yXBA=;
 b=Xcc1jzGOY3n/VqDJGtrny/5pNwnd1Us9zWt4QcwfgLJB1zLsVVe7Q4+LEw1jeXRrAB
 rJlyXd1FeVhsYg3iq5oSi//E8jVnpdGrxuJqg5i5LFAC31Wt8xMjMfnzfZIcLpz8myDU
 SKN9wRpu4N7jkrUryPLYg93+Uhi16NkCb6b6QI3ji39BFrBWf9w1IEAv2ks1E5dgBMUn
 fhzEPJA+6yiFYa3O57q34VG6Qz3049svGECZ661Xl2E/0MtP6YEf5OgejWf3iWUzJVwf
 5YZSLdqcpUwXTInBl23Noksx4yIscFGgWO7m809S4mMkfH3TtGlfhoiKvzkEbmhgobSa
 2I/g==
X-Gm-Message-State: AOAM532F2s3E8RDdd9HPmnhz0It73b09AKLcAVJKZr48k6ME7rwQ9vFF
 tlXEUeP0jSJf9XmH4CuWmx98j328BaxLjkMUrwU=
X-Google-Smtp-Source: ABdhPJyhH9fzruIkxzNFrHUbQBVTDKGTTgRwq06h4wLFIyxdB5qyWqloxyZmW9J5k9d9w7zLOURk5zNoqf7G9fR/2Bc=
X-Received: by 2002:aa7:9635:0:b029:197:f590:8563 with SMTP id
 r21-20020aa796350000b0290197f5908563mr2936376pfg.58.1607071513573; Fri, 04
 Dec 2020 00:45:13 -0800 (PST)
MIME-Version: 1.0
References: <cd835dff-4c4a-aca9-2aec-6279d1db4a57@HIDDEN>
 <83y2iedlad.fsf@HIDDEN>
In-Reply-To: <83y2iedlad.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Fri, 4 Dec 2020 09:45:02 +0100
Message-ID: <CADwFkmk85k-h2BOFVL2d-6DrE1WdMBm3B3GbbzuspdSXGV74Ww@HIDDEN>
Subject: Re: bug#45038: 27.1; blank display
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 45038
Cc: 45038 <at> debbugs.gnu.org, Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> > Please see screen shots at http://jovi.net/Emacs-Bug
> > of a Heisenbug I never saw until maybe a year ago.
> > Now I see it every day or so.  Hope this helps.
>
> I think this is a known problem already solved in the repository.  can
> you try building the latest emacs-27 branch?

I could have sworn I saw this the other week on master.  If you
believe it is fixed, then perhaps I was using an old version at the
time.  Please ignore me for now, I'll report back if I see it again.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45038; Package emacs. Full text available.

Message received at 45038 <at> debbugs.gnu.org:


Received: (at 45038) by debbugs.gnu.org; 4 Dec 2020 08:32:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 04 03:32:23 2020
Received: from localhost ([127.0.0.1]:42535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kl6Vn-0008SJ-U5
	for submit <at> debbugs.gnu.org; Fri, 04 Dec 2020 03:32:23 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kl6Vm-0008S4-BF
 for 45038 <at> debbugs.gnu.org; Fri, 04 Dec 2020 03:32:18 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33639)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kl6Vg-0005Oy-Sy; Fri, 04 Dec 2020 03:32:12 -0500
Received: from [176.228.60.248] (port=2128 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kl6Vf-0004bO-Qt; Fri, 04 Dec 2020 03:32:12 -0500
Date: Fri, 04 Dec 2020 10:31:54 +0200
Message-Id: <83y2iedlad.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
In-Reply-To: <cd835dff-4c4a-aca9-2aec-6279d1db4a57@HIDDEN> (message from
 Devon Sean McCullough on Thu, 3 Dec 2020 22:33:32 -0500)
Subject: Re: bug#45038: 27.1; blank display
References: <cd835dff-4c4a-aca9-2aec-6279d1db4a57@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45038
Cc: 45038 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
> Date: Thu, 3 Dec 2020 22:33:32 -0500
> 
> Please see screen shots at http://jovi.net/Emacs-Bug
> of a Heisenbug I never saw until maybe a year ago.
> Now I see it every day or so.  Hope this helps.

I think this is a known problem already solved in the repository.  can
you try building the latest emacs-27 branch?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45038; Package emacs. Full text available.

Message received at 45038 <at> debbugs.gnu.org:


Received: (at 45038) by debbugs.gnu.org; 4 Dec 2020 08:10:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 04 03:10:58 2020
Received: from localhost ([127.0.0.1]:42477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kl6B8-0007rp-QL
	for submit <at> debbugs.gnu.org; Fri, 04 Dec 2020 03:10:58 -0500
Received: from mail-pf1-f175.google.com ([209.85.210.175]:38363)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kl6B7-0007rc-Ju
 for 45038 <at> debbugs.gnu.org; Fri, 04 Dec 2020 03:10:58 -0500
Received: by mail-pf1-f175.google.com with SMTP id w187so3181676pfd.5
 for <45038 <at> debbugs.gnu.org>; Fri, 04 Dec 2020 00:10:57 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=4qug+/nWPqbiCfdMOeumPaWr13zUqx9/O8EUanToOjI=;
 b=dkdsa9GbX6ZESJ/CK3tbYpoU/Enw6plAo4sduFi9PvRI757bMhrzKiof2DwPWGF20G
 TuqWnQoLhg/8AooY+ZVVTgfLwSes4aZQ1PiC+H8Puj3QtL7dnI0+5B+Ayi6lTXO2W2x0
 O7vb88zK3uScsE0L1oyQo4oI146lMvNDsggNPS2E+92PCK65u4vnXiqikhotD2aP4Pfd
 5ETUayyv4v5l8/l3ucXVL7OW/1vbb8/esHBjdu0Or3+f3cdSZyxVjefCsVPf+hdvopNZ
 r/Y/9RXMS1keHepEChBZOcx6wuu4vsOKp/DCSIoYUbkcA688QPFbw7OrQfAo0TLn/LCj
 qwOw==
X-Gm-Message-State: AOAM533Z5tMSLWLOJDnaqg23z+rzXlo2oOUJaiY1tX0ykZGqpLjR/+Or
 gfhP5pRbsrLBth20N0yS8kX73cuN6D1MeV1y2E/Btov9iWE=
X-Google-Smtp-Source: ABdhPJxA5kbaofIAj2kyrHrUZqPin6VgjDe2jaRjBRHuxzILg4PDE04t7Gr5ycKXM9iXVZXcY53D9an9YcEqLCEqmcM=
X-Received: by 2002:a63:cd09:: with SMTP id i9mr6530607pgg.363.1607069451881; 
 Fri, 04 Dec 2020 00:10:51 -0800 (PST)
MIME-Version: 1.0
References: <cd835dff-4c4a-aca9-2aec-6279d1db4a57@HIDDEN>
In-Reply-To: <cd835dff-4c4a-aca9-2aec-6279d1db4a57@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Fri, 4 Dec 2020 09:10:40 +0100
Message-ID: <CADwFkmmbJscpNgwLGcgshbGu+4dHwhoGUAZffzBuqA9pDkhXxg@HIDDEN>
Subject: Re: bug#45038: 27.1; blank display
To: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 45038
Cc: 45038 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Devon Sean McCullough <Emacs-hacker2018@HIDDEN> writes:

> Please see screen shots at http://jovi.net/Emacs-Bug
> of a Heisenbug I never saw until maybe a year ago.
> Now I see it every day or so.  Hope this helps.

I see this occasionally as well on master. I have unfortunately not
been able to find a way to reproduce it.

In GNU Emacs 28.0.50 (build 10, x86_64-apple-darwin17.7.0, NS
appkit-1561.61 Version 10.13.6 (Build 17G14042))
 of 2020-12-03 built on SK-MacBook-Pro
Repository revision: a3b596d02ec802f6215af8f552b29cceea6f7eeb
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1561
System Description:  Mac OS X 10.13.6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45038; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Dec 2020 03:33:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 03 22:33:50 2020
Received: from localhost ([127.0.0.1]:42355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kl1qv-0001CX-RY
	for submit <at> debbugs.gnu.org; Thu, 03 Dec 2020 22:33:50 -0500
Received: from lists.gnu.org ([209.51.188.17]:36576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacs-hacker2018@HIDDEN>) id 1kl1qu-0001CP-9K
 for submit <at> debbugs.gnu.org; Thu, 03 Dec 2020 22:33:48 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:40646)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <emacs-hacker2018@HIDDEN>)
 id 1kl1qu-0003wA-2k
 for bug-gnu-emacs@HIDDEN; Thu, 03 Dec 2020 22:33:48 -0500
Received: from gateway23.websitewelcome.com ([192.185.50.141]:17791)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <emacs-hacker2018@HIDDEN>)
 id 1kl1qr-0004vN-Cl
 for bug-gnu-emacs@HIDDEN; Thu, 03 Dec 2020 22:33:47 -0500
Received: from cm10.websitewelcome.com (cm10.websitewelcome.com [100.42.49.4])
 by gateway23.websitewelcome.com (Postfix) with ESMTP id 3CA4C962E
 for <bug-gnu-emacs@HIDDEN>; Thu,  3 Dec 2020 21:33:33 -0600 (CST)
Received: from leaf.websitewelcome.com ([192.185.82.99]) by cmsmtp with SMTP
 id l1qfkPEdLuDoAl1qfkwIq0; Thu, 03 Dec 2020 21:33:33 -0600
X-Authority-Reason: nr=8
Received: from pool-72-83-171-228.washdc.east.verizon.net
 ([72.83.171.228]:50285 helo=[192.168.1.165])
 by leaf.websitewelcome.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <Emacs-hacker2018@HIDDEN>) id 1kl1qe-001ZQk-VW
 for bug-gnu-emacs@HIDDEN; Thu, 03 Dec 2020 21:33:33 -0600
To: bug-gnu-emacs@HIDDEN
From: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
Subject: 27.1; blank display
Message-ID: <cd835dff-4c4a-aca9-2aec-6279d1db4a57@HIDDEN>
Date: Thu, 3 Dec 2020 22:33:32 -0500
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:78.0)
 Gecko/20100101 Thunderbird/78.5.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - leaf.websitewelcome.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jovi.net
X-BWhitelist: no
X-Source-IP: 72.83.171.228
X-Source-L: No
X-Exim-ID: 1kl1qe-001ZQk-VW
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: pool-72-83-171-228.washdc.east.verizon.net ([192.168.1.165])
 [72.83.171.228]:50285
X-Source-Auth: devon2011@HIDDEN
X-Email-Count: 1
X-Source-Cap: am92aW5ldDtkZXZvbjtsZWFmLndlYnNpdGV3ZWxjb21lLmNvbQ==
X-Local-Domain: yes
Received-SPF: pass client-ip=192.185.50.141;
 envelope-from=emacs-hacker2018@HIDDEN; helo=gateway23.websitewelcome.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Please see screen shots at http://jovi.net/Emacs-Bug
of a Heisenbug I never saw until maybe a year ago.
Now I see it every day or so.  Hope this helps.

		Peace
			--Devon

In GNU Emacs 27.1 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60 
Version 10.14.6 (Build 18G95))
  of 2020-08-12 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.1671
System Description:  Mac OS X 10.14.6

Configured using:
  'configure --with-ns '--enable-locallisppath=/Library/Application
  Support/Emacs/${version}/site-lisp:/Library/Application
  Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS JSON PDUMPER

Important settings:
   value of $LANG: en_BE@currency=USD.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
   global-so-long-mode: t
   display-time-mode: t
   gud-tooltip-mode: t
   which-function-mode: t
   shell-dirtrack-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   temp-buffer-resize-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
/Users/devon/quicklisp/dists/quicklisp/software/slime-v2.24/slime-autoloads 
hides /Users/devon/.emacs.d/elpa/slime-20200711.1419/slime-autoloads
/Users/devon/quicklisp/dists/quicklisp/software/slime-v2.24/slime-tests 
hides /Users/devon/.emacs.d/elpa/slime-20200711.1419/slime-tests
/Users/devon/quicklisp/dists/quicklisp/software/slime-v2.24/slime hides 
/Users/devon/.emacs.d/elpa/slime-20200711.1419/slime
/Applications/Emacs-27.1.app/Contents/Resources/lisp/frame hides 
/Users/devon/emacs/frame
/Applications/Emacs-27.1.app/Contents/Resources/lisp/emacs-lisp/cl-macs 
hides /Users/devon/emacs/cl-macs
/Applications/Emacs-27.1.app/Contents/Resources/lisp/mail/sendmail hides 
/Users/devon/emacs/sendmail
/Applications/Emacs-27.1.app/Contents/Resources/lisp/forms hides 
/Users/devon/emacs/forms
/Applications/Emacs-27.1.app/Contents/Resources/lisp/mail/hashcash hides 
/Users/devon/emacs/hashcash
/Applications/Emacs-27.1.app/Contents/Resources/lisp/progmodes/inf-lisp 
hides /Users/devon/emacs/inf-lisp
/Applications/Emacs-27.1.app/Contents/Resources/lisp/dired-aux hides 
/Users/devon/emacs/dired-aux
/Applications/Emacs-27.1.app/Contents/Resources/lisp/json hides 
/Users/devon/emacs/json
/Applications/Emacs-27.1.app/Contents/Resources/lisp/net/shr hides 
/Users/devon/emacs/shr
/Applications/Emacs-27.1.app/Contents/Resources/lisp/replace hides 
/Users/devon/emacs/replace
/Applications/Emacs-27.1.app/Contents/Resources/lisp/textmodes/sgml-mode 
hides /Users/devon/emacs/sgml-mode
/Users/devon/quicklisp/dists/quicklisp/software/slime-v2.24/slime hides 
/Users/devon/emacs/slime
/Applications/Emacs-27.1.app/Contents/Resources/lisp/comint hides 
/Users/devon/emacs/comint
/Applications/Emacs-27.1.app/Contents/Resources/lisp/play/morse hides 
/Users/devon/emacs/morse
/Users/devon/.emacs.d/elpa/slime-repl-ansi-color-20190426.1414/slime-repl-ansi-color 
hides /Users/devon/emacs/slime-repl-ansi-color
/Applications/Emacs-27.1.app/Contents/Resources/lisp/xml hides 
/Users/devon/emacs/xml
/Applications/Emacs-27.1.app/Contents/Resources/lisp/emacs-lisp/regexp-opt 
hides /Users/devon/emacs/regexp-opt
/Applications/Emacs-27.1.app/Contents/Resources/lisp/emacs-lisp/advice 
hides /Users/devon/emacs/advice
/Applications/Emacs-27.1.app/Contents/Resources/lisp/emacs-lisp/lisp 
hides /Users/devon/emacs/lisp
/Users/devon/.emacs.d/elpa/csv-mode-1.7/csv-mode hides 
/Users/devon/emacs/csv-mode
/Applications/Emacs-27.1.app/Contents/Resources/lisp/textmodes/picture 
hides /Users/devon/emacs/picture
/Applications/Emacs-27.1.app/Contents/Resources/lisp/progmodes/xref 
hides /Users/devon/emacs/xref
/Applications/Emacs-27.1.app/Contents/Resources/lisp/rect hides 
/Users/devon/emacs/rect
/Applications/Emacs-27.1.app/Contents/Resources/lisp/lpr hides 
/Users/devon/emacs/lpr
/Applications/Emacs-27.1.app/Contents/Resources/lisp/net/tramp-ftp hides 
/Users/devon/emacs/tramp-ftp

Features:
(shadow mail-extr emacsbug sendmail play-sound wdired mm-archive message
rfc822 mml mml-sec epa mailabbrev gmm-utils mailheader mm-decode
mm-bodies mm-encode gnutls url-http mail-parse rfc2231 url-gw url-cache
url-auth epg epg-config ibuf-ext ibuffer ibuffer-loaddefs mode-local
octave asm-mode tcl verilog-mode make-mode tar-mode rng-xsd xsd-regexp
rng-cmpct rng-nxml rng-valid rng-loc rng-uri rng-parse nxml-parse
rng-match rng-dt rng-util rng-pttrn nxml-ns nxml-mode nxml-outln
nxml-rap nxml-util nxml-enc xmltok smerge-mode diff sh-script executable
flyspell follow goto-addr so-long descr-text filecache grep doc-view
image-mode exif ruby-mode two-column conf-mode bug-reference macrostep-c
cmacexp libgl-doc eieio-opt speedbar sb-image ezimage dframe edebug
pulse perl-mode mhtml-mode css-mode smie eww mm-url gnus nnheader
gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums mail-utils
mm-util mail-prsvr url-queue url url-proxy url-privacy url-expand
url-methods url-history mailcap shr text-property-search url-cookie
url-domsuf url-util svg xml color js moz cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs vc-git
cus-edit cus-start cus-load wid-edit lisp-cycle jka-compr gcl-info
reposition cl-indent rcirc python-mode cal-move tramp-cache tramp-sh
tramp tramp-loaddefs trampver tramp-integration files-x tramp-compat
parse-time iso8601 format-spec markdown-mode network-stream puny nsm rmc
slime-media server help-fns radix-tree cl-print debug view tabify man
dired-aux time-date add-log hosts hosts-config windmove ls-lisp dired-x
time slime-repl-ansi-color slime-pale slime-fancy slime-trace-dialog
slime-fontifying-fu slime-package-fu slime-references
slime-compiler-notes-tree slime-scratch slime-presentations bridge
slime-macrostep macrostep slime-mdot-fu slime-enclosing-context
slime-fuzzy slime-fancy-trace slime-fancy-inspector slime-c-p-c
slime-editing-commands slime-autodoc slime-repl elp slime-parse slime
derived hi-lock lisp-mnt gud apropos compile arc-mode archive-mode
noutline outline pp hyperspec thingatpt quote mouse-thing lzx iso-transl
greek-keys which-func imenu new rect shell pcomplete bucky cl-extra
macosx sort etags fileloop generator xref project compare-w diff-mode
easy-mmode paren advice sgml-mode dom dired dired-loaddefs info-look
ispell disp-table edmacro kmacro supersub rx comint ansi-color ring
finder-inf backtrace help-mode find-func appt diary-lib diary-loaddefs
cal-menu calendar cal-loaddefs cl info slime-autoloads package easymenu
browse-url url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win
ns-win ucs-normalize mule-util term/common-win tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 3330771 1052079)
  (symbols 48 56587 4)
  (strings 32 417438 39533)
  (string-bytes 1 15868278)
  (vectors 16 95991)
  (vector-slots 8 2237889 397302)
  (floats 8 453 968)
  (intervals 56 427189 42799)
  (buffers 1000 215))




Acknowledgement sent to Devon Sean McCullough <Emacs-hacker2018@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45038; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 4 Dec 2020 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.